import React, { ReactNode } from 'react';
import './alertBox.less';
export interface AlertBoxProps {
    type?: 'default' | 'info' | 'success' | 'warning' | 'danger' | undefined;
    closeBtn?: boolean;
    title?: string;
    className?: string;
    alertcontent?: ReactNode | [string, boolean][];
    prefixCls?: string;
    visible?: boolean;
}
declare const AlertBox: React.FC<AlertBoxProps>;
export default AlertBox;
