"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

var classnames_1 = __importDefault(require("classnames"));

require("./alertBox.less");

var react_1 = __importDefault(require("react"));

var useToastr_1 = __importDefault(require("./useToastr"));

var Toastr = function Toastr(_a) {
  var _b;

  var _c = _a.messages,
      messages = _c === void 0 ? [] : _c,
      _d = _a.notify,
      notify = _d === void 0 ? true : _d,
      _e = _a.prefixCls,
      prefixCls = _e === void 0 ? 'ult' : _e,
      children = _a.children,
      _f = _a.delay,
      delay = _f === void 0 ? 3 : _f;

  var _g = useToastr_1["default"](delay),
      isShow = _g.isShow,
      handleShowAlert = _g.handleShowAlert;

  if (!notify || messages.length === 0) {
    return null;
  }

  return react_1["default"].createElement("div", {
    className: classnames_1["default"](prefixCls + "-toastr")
  }, react_1["default"].createElement("a", {
    onClick: handleShowAlert
  }, children), isShow ? react_1["default"].createElement("div", {
    className: classnames_1["default"]((_b = {}, _b[prefixCls + "-toastrbox"] = true, _b['animate'] = notify, _b))
  }, react_1["default"].createElement("ul", null, messages.map(function (item) {
    return react_1["default"].createElement("li", {
      key: item.id
    }, item.content);
  }))) : null);
};

exports["default"] = Toastr;