/// <reference types="react" />
import './breadcrumb.less';
export declare type RouteType = {
    langCode?: string;
    path?: string;
    key: string;
    name?: string;
};
export interface BreadcrumbProps {
    prefixCls?: string;
    langCode?: string;
    routes?: RouteType[];
    params?: object;
    hiddenLinkDesc?: boolean;
    webName?: string;
    separator?: string;
    className?: string;
}
declare const Breadcrumb: (props: BreadcrumbProps) => JSX.Element | null;
export default Breadcrumb;
