"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

var react_1 = __importDefault(require("react"));

var classnames_1 = __importDefault(require("classnames"));

var ButtonGroup = function ButtonGroup(_a) {
  var _b = _a.vertical,
      vertical = _b === void 0 ? false : _b,
      _c = _a.className,
      className = _c === void 0 ? '' : _c,
      _d = _a.prefixCls,
      prefixCls = _d === void 0 ? 'ult' : _d,
      children = _a.children;
  var mainCls = vertical ? prefixCls + "-btn-group-vertical" : prefixCls + "-btn-group";
  var classes = classnames_1["default"](mainCls, className);
  return react_1["default"].createElement("div", {
    className: classes
  }, children);
};

exports["default"] = ButtonGroup;