"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

var react_1 = __importDefault(require("react"));

var classnames_1 = __importDefault(require("classnames"));

var ButtonList = function ButtonList(_a) {
  var _b = _a.prefixCls,
      prefixCls = _b === void 0 ? 'ult' : _b,
      _c = _a.className,
      className = _c === void 0 ? '' : _c,
      children = _a.children;
  var clazz = classnames_1["default"]([prefixCls + "-btn-list"], className);
  return react_1["default"].createElement("ul", {
    className: clazz
  }, react_1["default"].Children.map(children, function (item) {
    if (!item) {
      return null;
    }

    return react_1["default"].createElement("li", null, item);
  }));
};

exports["default"] = ButtonList;