import React from 'react';
import './checkBox.less';
export interface Items {
    id?: string;
    value: string;
    name?: string;
    title?: React.ReactNode;
    labelTitle?: string;
    disabled?: boolean;
}
export interface CheckboxGroupProps {
    name?: string;
    items: Items[];
    className?: string;
    defaultValue?: any[];
    prefixCls?: string;
    btnStyle?: boolean;
    inline?: boolean;
    onChange?: (value: any) => void;
    checkStyle?: boolean;
}
/**
 * CheckboxGroup 展示组件
 * @param props
 */
declare const CheckboxGroup: React.ForwardRefExoticComponent<CheckboxGroupProps & React.RefAttributes<unknown>>;
export default CheckboxGroup;
