import React from 'react';
export interface Items {
    id?: string;
    value: string;
    name?: string;
    title?: React.ReactNode;
    disabled?: boolean;
    labelTitle?: string;
}
export interface RadioGroupProps {
    name?: string;
    items: Items[];
    className?: string;
    style?: React.CSSProperties | undefined;
    defaultValue?: string;
    prefixCls?: string;
    btnStyle?: boolean;
    checkStyle?: boolean;
    inline?: boolean;
    onChange?: (value: any) => void;
    setValue?: string;
}
/**
 * RadioGroup 展示组件
 * @param props
 */
declare const RadioGroup: React.ForwardRefExoticComponent<RadioGroupProps & React.RefAttributes<unknown>>;
export default RadioGroup;
