import React from 'react';
import { CheckBoxProps } from './CheckBox';
/**
 * CheckBox Hook
 * @param param0
 */
declare const useCheckBox: ({ checked, defaultChecked, disabled, onChange, onToggle, onClick }: CheckBoxProps) => {
    currentChecked: boolean;
    handleChange: (e: React.ChangeEvent<HTMLInputElement>) => void;
    handleClick: (e: React.MouseEvent) => void;
};
export default useCheckBox;
