/// <reference types="react" />
import 'rc-calendar/assets/index.css';
import 'rc-time-picker/assets/index.css';
import './datePicker.less';
import 'moment/locale/zh-cn';
import 'moment/locale/en-gb';
export interface DatePickerProps {
    defaultValue?: object;
    prefixCls?: string;
    className?: string;
    disabled?: boolean;
    showTime?: boolean;
    showDateInput?: boolean;
    isDisabledBefore?: boolean;
    iconRight?: boolean;
    format?: string;
    icon?: string;
    onChange?: (params: any) => void;
    disabledDate?: () => void;
    calendarContainer?: object;
    getCalendarContainer?: (params: any) => void;
    timePickerOption?: object;
    placeholder?: string;
    showToday?: boolean;
}
declare const DatePicker: {
    (props: DatePickerProps): JSX.Element;
    RangePicker: (props: import("./RangePicker").RangePickerProps) => JSX.Element;
    MonthPicker: (props: import("./MonthPicker").MonthPickerProps) => JSX.Element;
};
export default DatePicker;
