import React from 'react';
export interface ConfirmDialogProps {
    prefixCls?: string;
    type: 'error' | 'infor' | 'success' | 'danger' | 'warning';
    label?: string;
    tips?: string;
    content: React.ReactNode;
}
interface CreateConfirmProps {
    content: React.ReactNode;
    type: 'error' | 'infor' | 'success' | 'danger' | 'warning';
    label?: string;
    tips?: string;
    abortType?: 'primary' | 'default' | 'dashed' | 'success' | 'warning' | 'danger' | 'text';
    confirmType?: 'primary' | 'default' | 'dashed' | 'success' | 'warning' | 'danger' | 'text';
    [prop: string]: any;
}
declare function createConfirmForm({ content, type, label, tips, abortType, confirmType, ...otherProps }: CreateConfirmProps): {
    wrapper: HTMLDivElement;
    cleanup: () => void;
    update: (state: any) => void;
    props: any;
};
export default createConfirmForm;
