import React, { CSSProperties } from 'react';
import './dialog.less';
export interface DialogProps {
    title: React.ReactNode;
    confirm?: () => any;
    abort?: () => void;
    close?: () => void;
    className?: string;
    style?: CSSProperties;
    prefixCls?: string;
    titleNone?: boolean;
    buttonNone?: boolean;
    abortTitle?: string;
    abortType?: 'primary' | 'default' | 'dashed' | 'success' | 'warning' | 'danger' | 'text';
    confirmTitle?: string;
    confirmingTitle?: string;
    confirmType?: 'primary' | 'default' | 'dashed' | 'success' | 'warning' | 'danger' | 'text';
    confirmClassName?: string;
    countDown?: number;
    twiceConfirm?: boolean;
    twiceConfirmLabel?: string;
    bottomLeft?: React.ReactNode;
    children: React.ReactNode;
    approveDisabled?: boolean;
}
declare function createDialog(el: any, props: any): {
    wrapper: HTMLDivElement;
    cleanup: () => void;
    update: (state: any) => void;
    props: any;
};
export default createDialog;
