import { ReactNode } from 'react';
import './index.less';
export interface RowProps {
    prefixCls?: string;
    type?: 'flex';
    align?: 'top' | 'middle' | 'bottom' | 'stretch';
    justify?: 'start' | 'end' | 'center' | 'space-around' | 'space-between';
    wrap?: 'nowrap' | 'wrap' | 'wrap-reverse';
    className?: string;
    children?: ReactNode;
    [propName: string]: any;
}
declare const Row: (props: RowProps) => JSX.Element;
export default Row;
