"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

var react_1 = __importDefault(require("react"));

var classnames_1 = __importDefault(require("classnames"));

var Icon = function Icon(_a) {
  var _b;

  var type = _a.type,
      _c = _a.className,
      className = _c === void 0 ? '' : _c,
      onClick = _a.onClick,
      _d = _a.style,
      style = _d === void 0 ? {} : _d;
  var classString = classnames_1["default"]((_b = {
    iconfont: true
  }, _b["icon-" + type] = true, _b), className);
  return react_1["default"].createElement("i", {
    className: classString,
    style: style,
    onClick: onClick
  });
};

exports["default"] = Icon;