import { ReactNode } from 'react';
import './index.less';
export interface InlineInputProps {
    value: string;
    element?: ReactNode;
    disabled?: boolean;
    regex: RegExp;
    invalid: string;
    placement?: 'bottom' | 'top' | 'left' | 'right';
    editing?: boolean;
    submitting?: boolean;
    autoTrim?: boolean;
    onKeyUp?: (e: any) => void;
    onSubmit: (a: string, e: any) => void;
    className?: string;
    style?: object;
}
declare const InlineInput: (props: InlineInputProps) => JSX.Element;
export default InlineInput;
