import React, { CSSProperties } from 'react';
import './InputNum.less';
export interface InputNumProps {
    prefixCls?: string;
    className?: string;
    style?: CSSProperties;
    verticalbuttons?: boolean;
    disabled?: boolean;
    defaultValue?: number;
    value?: number | string;
    min?: number;
    max?: number;
    precision?: number;
    postfix?: string;
    step?: number;
    readOnly?: boolean;
    required?: boolean;
    placeholder?: string;
    onChange?: (v: any) => void;
    onKeyDown?: (e: React.KeyboardEvent, [x]: any) => void;
    onError?: (msg: string, value: number) => void;
    parser?: (input: string) => string;
}
declare const InputNum: (props: InputNumProps) => JSX.Element;
export default InputNum;
