import React from 'react';
import { InputNumberProps } from './InputNumber';
export declare const useInputNumber: ({ defaultValue, value, precision, max, min, parser, onChange, required, validateOnBlur, disabled, readOnly, readonly, onBlur, onKeyDown, step, allowEmpty, rely }: InputNumberProps) => {
    isMinDisable: boolean;
    isMaxDisable: boolean;
    handleStepBack: () => void;
    handleStepForward: () => void;
    inputValue: string | number | null;
    handleChange: (e: any) => void;
    handleBlur: (e: any) => void;
    handleFocus: () => void;
    inputRef: React.MutableRefObject<undefined>;
    handleKeyDown: (e: React.KeyboardEvent, arg: any) => void;
};
