"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

var react_1 = __importDefault(require("react"));

var classnames_1 = __importDefault(require("classnames"));

require("./index.less");

var KeyValue = function KeyValue(props) {
  var _a = props.prefixCls,
      prefixCls = _a === void 0 ? 'ult' : _a,
      values = props.values,
      _b = props.className,
      className = _b === void 0 ? '' : _b;
  return react_1["default"].createElement("div", {
    className: classnames_1["default"](prefixCls + "-key-value", className)
  }, values.map(function (item, index) {
    return react_1["default"].createElement("div", {
      key: "kv" + index,
      className: prefixCls + "-key-value-item"
    }, react_1["default"].createElement("div", {
      className: prefixCls + "-key-value-item-label"
    }, item.label), react_1["default"].createElement("div", {
      className: prefixCls + "-key-value-item-value"
    }, item.value));
  }));
};

exports["default"] = KeyValue;