"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

var react_1 = __importDefault(require("react"));

var useLoading_1 = __importDefault(require("./useLoading"));

require("./loading.less");

var Loading = function Loading(props) {
  var _a = useLoading_1["default"](props),
      prefixCls = _a.prefixCls,
      classes = _a.classes,
      newStyle = _a.newStyle;

  var _b = props.type,
      type = _b === void 0 ? 'default' : _b,
      _c = props.style,
      style = _c === void 0 ? {} : _c;
  return react_1["default"].createElement("div", {
    className: classes,
    style: style
  }, type === 'circle' ? react_1["default"].createElement("div", {
    className: prefixCls + "-circle",
    style: newStyle
  }, react_1["default"].createElement("div", {
    className: prefixCls + "-circle1"
  }), react_1["default"].createElement("div", {
    className: prefixCls + "-circle2"
  }), react_1["default"].createElement("div", {
    className: prefixCls + "-circle3"
  }), react_1["default"].createElement("div", {
    className: prefixCls + "-circle4"
  }), react_1["default"].createElement("div", {
    className: prefixCls + "-circle5"
  }), react_1["default"].createElement("div", {
    className: prefixCls + "-circle6"
  }), react_1["default"].createElement("div", {
    className: prefixCls + "-circle7"
  }), react_1["default"].createElement("div", {
    className: prefixCls + "-circle8"
  }), react_1["default"].createElement("div", {
    className: prefixCls + "-circle9"
  }), react_1["default"].createElement("div", {
    className: prefixCls + "-circle10"
  }), react_1["default"].createElement("div", {
    className: prefixCls + "-circle11"
  }), react_1["default"].createElement("div", {
    className: prefixCls + "-circle12"
  })) : react_1["default"].createElement("div", {
    className: "loading-view",
    style: newStyle
  }, react_1["default"].createElement("div", {
    className: "item item-1"
  }), react_1["default"].createElement("div", {
    className: "item item-2"
  }), react_1["default"].createElement("div", {
    className: "item item-3"
  }), react_1["default"].createElement("div", {
    className: "item item-4"
  }), react_1["default"].createElement("div", {
    className: "item item-5"
  })));
};

exports["default"] = Loading;