"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

var classnames_1 = __importDefault(require("classnames"));

var useLogo = function useLogo(_a) {
  var _b;

  var _c = _a.prefixCls,
      prefixCls = _c === void 0 ? 'ult' : _c,
      _d = _a.collapsed,
      collapsed = _d === void 0 ? false : _d,
      src = _a.src,
      srcMini = _a.srcMini,
      _e = _a.className,
      className = _e === void 0 ? '' : _e;
  var classes = classnames_1["default"](prefixCls + "-logo", (_b = {}, _b[prefixCls + "-logo-mini"] = !!collapsed, _b), className);
  var url = collapsed ? srcMini : src;
  return {
    classes: classes,
    url: url
  };
};

exports["default"] = useLogo;