"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames = _interopRequireDefault(require("classnames"));

require("./menu.less");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/*
 * @Author: SiMeiyu
 * @Date: 2017-07-06 11:36:02
 */
// class MenuList extends React.Component {
//     render() {
//         const {prefixCls, className, style, children} = this.props
//         const classes = classnames(`${prefixCls}-menu`, className)
//         return (
//             <ul className={classes} style={style}>
//                 {children}
//             </ul>
//         )
//     }
// }
var MenuList = function MenuList(props) {
  var prefixCls = props.prefixCls,
      className = props.className,
      style = props.style,
      children = props.children;
  var classes = (0, _classnames["default"])("".concat(prefixCls, "-menu"), className);
  return /*#__PURE__*/_react["default"].createElement("ul", {
    className: classes,
    style: style
  }, children);
};

MenuList.propTypes = {
  prefixCls: _propTypes["default"].string,
  className: _propTypes["default"].string,
  style: _propTypes["default"].object,
  children: _propTypes["default"].any
};
MenuList.defaultProps = {
  prefixCls: 'ult',
  className: '',
  style: null,
  children: undefined
};
var _default = MenuList;
exports["default"] = _default;