"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

var classnames_1 = __importDefault(require("classnames"));

var LanguageData = {
  en: {
    NoData: 'No Data'
  },
  zh_CN: {
    NoData: '暂无数据'
  }
};

var useLogo = function useLogo(_a) {
  var _b;

  var _c = _a.langCode,
      langCode = _c === void 0 ? window.LangCode || 'en' : _c,
      _d = _a.prefixCls,
      prefixCls = _d === void 0 ? 'ult' : _d,
      _e = _a.size,
      size = _e === void 0 ? 'large' : _e,
      _f = _a.name,
      name = _f === void 0 ? '' : _f,
      _g = _a.className,
      className = _g === void 0 ? '' : _g;
  var newLangCode = langCode || window.LangCode || 'en';
  var newLanguageData = name || LanguageData[newLangCode]['NoData'];
  var classes = classnames_1["default"](prefixCls + "-nodata", (_b = {}, _b[prefixCls + "-nodata-large"] = size === 'large', _b[prefixCls + "-nodata-small"] = size === 'small', _b), className);
  return {
    newLanguageData: newLanguageData,
    classes: classes
  };
};

exports["default"] = useLogo;