/// <reference types="react" />
export interface MarkerPaginationProps {
    langCode?: string;
    hasPrev?: boolean;
    hasMore?: boolean;
    count?: number;
    pageSize?: number;
    totalCount?: number;
    justify?: 'space-between' | 'start' | 'end' | 'center';
    onChange: (x: boolean) => void;
    rich?: boolean;
}
export default function MarkerPagination(props: MarkerPaginationProps): JSX.Element | null;
