"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var react_1 = require("react");

var useCollapse = function useCollapse(_a) {
  var isFlag = _a.isFlag,
      onCollapse = _a.onCollapse;

  var _b = react_1.useState(isFlag),
      isNewFlag = _b[0],
      setFlag = _b[1];

  var handleCollapse = function handleCollapse() {
    var isFlag = !isNewFlag;
    setFlag(isFlag);

    if (onCollapse) {
      onCollapse(isFlag);
    }
  };

  return {
    isNewFlag: isNewFlag,
    handleCollapse: handleCollapse
  };
};

exports["default"] = useCollapse;