/// <reference types="react" />
import './progress.less';
export interface ProgressBarProps {
    type?: 'primary' | 'info' | 'warning' | 'success' | 'danger' | 'recycle';
    dynamic?: boolean;
    percent?: number;
    room?: number;
    warningValue?: number;
    dangerValue?: number;
    prefixCls?: string;
    isPrimary?: boolean;
}
declare const ProgressBar: (props: ProgressBarProps) => JSX.Element;
export default ProgressBar;
