import React from 'react';
import { SelectProps as RcSelectProps } from 'rc-select';
import { OptionFC } from 'rc-select/lib/Option';
import { OptionGroupFC } from 'rc-select/lib/OptGroup';
import 'rc-select/assets/index.less';
import './select.less';
export interface RecSelectProps extends RcSelectProps {
    multiple?: boolean;
    tags?: boolean;
}
export interface SelectForwardRef extends React.ForwardRefExoticComponent<RecSelectProps & React.RefAttributes<any>> {
    Option: OptionFC;
    OptGroup: OptionGroupFC;
}
declare const Select: SelectForwardRef;
export default Select;
