import React from 'react';
export interface StepProps {
    prefixCls?: string;
    className?: string;
    style?: object;
    bodyStyle?: object;
    previous?: string;
    next?: string;
    finish?: string;
    children: React.ReactNode | React.ReactNode[];
    onPrevStep?: () => void;
    onNextStep?: () => void;
    onFinished?: () => void;
    onActive?: (index: any) => void;
    showProgress?: boolean;
    startIndex?: number;
    activeIndex?: number;
    btndisable?: boolean;
    nofinish?: boolean;
    tabMode?: boolean;
    noFoot?: boolean;
}
/**
 * Step 组件展示
 * @param props
 */
declare const Step: {
    (props: StepProps): JSX.Element;
    StepPanel: ({ prefixCls, className, isActive, children }: import("./StepPanel").StepPanelProps) => JSX.Element | null;
};
export default Step;
