"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

var react_1 = __importDefault(require("react"));

var classnames_1 = __importDefault(require("classnames"));

var Button_1 = __importDefault(require("../Button"));

require("./step.less");

var StepFoot = function StepFoot(_a) {
  var _b = _a.prefixCls,
      prefixCls = _b === void 0 ? 'ult' : _b,
      previous = _a.previous,
      next = _a.next,
      finish = _a.finish,
      complete = _a.complete,
      onNextStep = _a.onNextStep,
      onPrevStep = _a.onPrevStep,
      onFinish = _a.onFinish,
      _c = _a.nextIcon,
      nextIcon = _c === void 0 ? '' : _c,
      activeIndex = _a.activeIndex,
      btndisable = _a.btndisable,
      nofinish = _a.nofinish;
  var classes = classnames_1["default"](prefixCls + "-step-foot");
  return react_1["default"].createElement("div", {
    className: classes
  }, activeIndex > 0 ? react_1["default"].createElement(Button_1["default"], {
    className: "m-r-sm",
    type: "primary",
    name: previous,
    onClick: function onClick() {
      onPrevStep();
    }
  }) : null, !complete ? react_1["default"].createElement(Button_1["default"], {
    name: next,
    type: "primary",
    icon: nextIcon,
    disabled: btndisable,
    onClick: function onClick() {
      onNextStep();
    }
  }) : nofinish ? null : react_1["default"].createElement(Button_1["default"], {
    type: "danger",
    name: finish,
    disabled: btndisable,
    onClick: function onClick() {
      onFinish();
    }
  }));
};

exports["default"] = StepFoot;