"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

var react_1 = __importDefault(require("react"));

var classnames_1 = __importDefault(require("classnames"));

require("./step.less");

var StepPanel = function StepPanel(_a) {
  var _b;

  var _c = _a.prefixCls,
      prefixCls = _c === void 0 ? 'ult' : _c,
      _d = _a.className,
      className = _d === void 0 ? '' : _d,
      _e = _a.isActive,
      isActive = _e === void 0 ? false : _e,
      children = _a.children;
  var classes = classnames_1["default"](prefixCls + "-step-panel", (_b = {}, _b[prefixCls + "-step-panel-active"] = isActive, _b), className);
  return !isActive ? null : react_1["default"].createElement("div", {
    className: classes
  }, children);
};

exports["default"] = StepPanel;