/// <reference types="react" />
import './style.less';
export interface RowCheckboxProps {
    row: number;
    data: object;
    checked?: boolean;
    checkClick: (row: number, data: object, checked: boolean) => void;
    disabled?: boolean;
    className?: string;
    prefixCls?: string;
}
export default function RowCheckbox({ row, data, checked, checkClick, disabled, className, prefixCls }: RowCheckboxProps): JSX.Element;
