/// <reference types="react" />
import { ISortState } from './SortState';
export interface SortTitleProps {
    title: string;
    onSort: (sortState: ISortState | undefined, keyValue: string) => void;
    keyValue: string;
    sortState: ISortState;
}
export default function SortTitle({ title, onSort, keyValue, sortState }: SortTitleProps): JSX.Element;
