"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * 表格title排序组件
 */

var react_1 = __importDefault(require("react"));

function SortTitle(_a) {
  var title = _a.title,
      onSort = _a.onSort,
      keyValue = _a.keyValue,
      sortState = _a.sortState;

  var handleClick = function handleClick() {
    onSort(sortState.nextState, keyValue);
  };

  return react_1["default"].createElement("div", {
    className: "sort-thead",
    onClick: handleClick,
    style: {
      cursor: 'pointer'
    }
  }, react_1["default"].createElement("span", null, title), react_1["default"].createElement("i", {
    className: sortState.iconClass + " iconfont m-l-sm"
  }));
}

exports["default"] = SortTitle;