import React from 'react';
import './tags.less';
export interface TagItemProps {
    prefixCls?: string;
    className?: string;
    style?: object;
    name: React.ReactNode;
    icon?: string;
    type?: 'default' | 'primary' | 'success' | 'warning' | 'danger' | undefined;
    size?: 'large' | 'medium' | 'small' | undefined;
    allowDelete?: boolean;
    onClick?(e: React.MouseEvent): void;
}
/**
 * TagItem 组件展示
 * @param props
 */
declare const TagItem: (props: TagItemProps) => JSX.Element;
export default TagItem;
