"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

var classnames_1 = __importDefault(require("classnames"));
/**
 * TagItem Hook
 * @param param0
 */


var useTagItem = function useTagItem(_a) {
  var _b;

  var _c = _a.prefixCls,
      prefixCls = _c === void 0 ? 'ult' : _c,
      _d = _a.className,
      className = _d === void 0 ? '' : _d,
      _e = _a.type,
      type = _e === void 0 ? 'default' : _e,
      _f = _a.size,
      size = _f === void 0 ? 'small' : _f,
      _g = _a.allowDelete,
      allowDelete = _g === void 0 ? false : _g,
      _h = _a.onClick,
      onClick = _h === void 0 ? undefined : _h;
  var classes = classnames_1["default"](prefixCls + "-tag-item", (_b = {}, _b[prefixCls + "-tag-item-" + type] = !!type, _b[prefixCls + "-tag-item-" + size] = !!size, _b[prefixCls + "-tag-item-delete"] = !!allowDelete, _b), className);

  function handleClick(e) {
    if (onClick) {
      onClick(e);
    }
  }

  return {
    classes: classes,
    handleClick: handleClick
  };
};

exports["default"] = useTagItem;