import React from 'react';
import './textarea.less';
export interface TextareaProps {
    prefixCls?: string;
    className?: string;
    addon?: React.ReactNode;
    maxLength?: number;
    disabled?: boolean;
}
/**
 * Textarea 组件展示
 * @param param0
 */
declare const Textarea: React.ForwardRefExoticComponent<TextareaProps & React.RefAttributes<unknown>>;
export default Textarea;
