"use strict";

var __assign = void 0 && (void 0).__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

var __createBinding = void 0 && (void 0).__createBinding || (Object.create ? function (o, m, k, k2) {
  if (k2 === undefined) k2 = k;
  Object.defineProperty(o, k2, {
    enumerable: true,
    get: function get() {
      return m[k];
    }
  });
} : function (o, m, k, k2) {
  if (k2 === undefined) k2 = k;
  o[k2] = m[k];
});

var __setModuleDefault = void 0 && (void 0).__setModuleDefault || (Object.create ? function (o, v) {
  Object.defineProperty(o, "default", {
    enumerable: true,
    value: v
  });
} : function (o, v) {
  o["default"] = v;
});

var __importStar = void 0 && (void 0).__importStar || function (mod) {
  if (mod && mod.__esModule) return mod;
  var result = {};
  if (mod != null) for (var k in mod) {
    if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
  }

  __setModuleDefault(result, mod);

  return result;
};

var __rest = void 0 && (void 0).__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

var react_1 = __importStar(require("react"));

var classnames_1 = __importDefault(require("classnames"));

require("./textarea.less");
/**
 * Textarea 组件展示
 * @param param0
 */


var Textarea = react_1.forwardRef(function (props, ref) {
  var _a, _b;

  var _c = props.prefixCls,
      prefixCls = _c === void 0 ? 'ult' : _c,
      _d = props.className,
      className = _d === void 0 ? '' : _d,
      _e = props.maxLength,
      maxLength = _e === void 0 ? 200 : _e,
      _f = props.addon,
      addon = _f === void 0 ? '' : _f,
      _g = props.disabled,
      disabled = _g === void 0 ? false : _g,
      other = __rest(props, ["prefixCls", "className", "maxLength", "addon", "disabled"]);

  var classes = classnames_1["default"]((_a = {}, _a["" + className] = !!className, _a[prefixCls + "-textarea"] = true, _a));

  var otherProps = __assign({
    maxLength: maxLength,
    disabled: disabled
  }, other);

  if (addon) {
    return react_1["default"].createElement("div", {
      className: classnames_1["default"](prefixCls + "-textarea-group", className, (_b = {}, _b[prefixCls + "-textarea-group-disabled"] = disabled, _b)),
      ref: ref
    }, react_1["default"].createElement("textarea", __assign({}, otherProps, {
      className: prefixCls + "-textarea"
    })), react_1["default"].createElement("span", {
      className: prefixCls + "-textarea-group-addon"
    }, addon));
  }

  return react_1["default"].createElement("textarea", __assign({}, otherProps, {
    className: classes,
    ref: ref
  }));
});
exports["default"] = Textarea;