"use strict";

var __assign = void 0 && (void 0).__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

var __rest = void 0 && (void 0).__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});
/* eslint react/jsx-handler-names: 0 */

/*
 * @Author: SiMeiyu
 * @Date: 2017-07-04 10:07:44
 */

var react_1 = __importDefault(require("react"));

var classnames_1 = __importDefault(require("classnames"));

var rc_time_picker_1 = __importDefault(require("rc-time-picker"));

var useTimePicker_1 = __importDefault(require("./useTimePicker"));

require("rc-time-picker/assets/index.css");

require("./timePicker.less");

var locale = window.LangCode || 'en';

var TimePicker = function TimePicker(props) {
  var _a = props.prefixCls,
      prefixCls = _a === void 0 ? 'ult' : _a,
      _b = props.className,
      className = _b === void 0 ? '' : _b,
      _c = props.placeholder,
      placeholder = _c === void 0 ? locale === 'zh_CN' ? '请选择时间' : 'Select Time' : _c,
      _d = props.disabled,
      disabled = _d === void 0 ? false : _d,
      defaultValue = props.defaultValue,
      other = __rest(props, ["prefixCls", "className", "placeholder", "disabled", "defaultValue"]);

  var handleChange = useTimePicker_1["default"](props).handleChange;
  var classes = classnames_1["default"](prefixCls + "-timePicker", className);
  return react_1["default"].createElement(rc_time_picker_1["default"], __assign({
    className: classes,
    popupClassName: prefixCls + "-timePicker-panel",
    // defaultValue={defaultValue}
    placeholder: placeholder,
    disabled: disabled
  }, other, {
    onChange: handleChange
  }));
};

exports["default"] = TimePicker;