"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var react_1 = require("react");

var useTimePicker = function useTimePicker(_a) {
  var _b = _a.showSecond,
      showSecond = _b === void 0 ? true : _b,
      onChange = _a.onChange;
  var newStr = showSecond ? 'HH:mm:ss' : 'HH:mm';
  var str = react_1.useState(newStr)[0];

  var handleChange = function handleChange(value) {
    var valueStr = value && value.format(str);

    if (onChange) {
      onChange(valueStr);
    }
  };

  return {
    handleChange: handleChange
  };
};

exports["default"] = useTimePicker;