import React from 'react';
import { TooltipPlacement } from './useTooltip';
import './tooltip.less';
export interface TooltipProps {
    className?: string;
    style?: any;
    placement?: TooltipPlacement;
    tips: React.ReactNode;
    prefixCls?: string;
    children?: React.ReactNode;
    trigger?: 'click' | 'hover';
}
export default function Tooltip(props: TooltipProps): JSX.Element;
