import React from 'react';
import { TransferItem, TransferDirection } from './NTransfer';
export interface TransferListProps {
    prefixCls: string;
    titleText: React.ReactNode;
    dataSource: TransferItem[];
    filter: string;
    filterOption?: (filterText: any, item: any) => boolean;
    style?: React.CSSProperties;
    checkedKeys: string[];
    handleFilter: (v: any) => void;
    handleSelect: (selectedItem: any, checked: boolean) => void;
    handleSelectAll: (dataSource: any[], checkAll: boolean) => void;
    render?: (item: any) => any;
    showSearch?: boolean;
    searchPlaceholder: string;
    notFoundContent: React.ReactNode;
    itemUnit: string;
    itemsUnit: string;
    body?: (props: TransferListProps) => React.ReactNode;
    footer?: (props: TransferListProps) => React.ReactNode;
    disabled?: boolean;
    direction: TransferDirection;
}
declare const List: (props: TransferListProps) => JSX.Element;
export default List;
