import { TransferProps, TransferItem } from './NTransfer';
import { TransferListProps } from './NList';
export declare const useTransfer: ({ dataSource, targetKeys, selectedKeys, onChange, onSelectChange, rowKey, onSearch }: TransferProps) => {
    leftDataSource: TransferItem[];
    rightDataSource: TransferItem[];
    sourceSelectedKeys: string[];
    targetSelectedKeys: string[];
    leftFilter: string;
    rightFilter: string;
    handleLeftFilter: (v: any) => void;
    handleRightFilter: (v: any) => void;
    handleLeftSelect: (selectedItem: TransferItem, checked: boolean) => void;
    handleRightSelect: (selectedItem: TransferItem, checked: boolean) => void;
    handleLeftSelectAll: (filteredDataSource: TransferItem[], checkAll: boolean) => void;
    handleRightSelectAll: (filteredDataSource: TransferItem[], checkAll: boolean) => void;
    moveToRight: () => void;
    moveToLeft: () => void;
};
export declare const useTransferList: ({ dataSource, render, filterOption, filter, checkedKeys, handleSelect, }: TransferListProps) => {
    checkedAll: boolean;
    filteredDataSource: TransferItem[];
    totalDataSource: TransferItem[];
    handleSelectItem: (selectedItem: TransferItem) => void;
};
