"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.queryParams = void 0;

/**
 * 将请求参数转为query params
 */
var queryParams = function queryParams() {
  var params = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  return Object.keys(params).sort().map(function (key) {
    return "".concat(key, "=").concat(params[key]);
  }).join('&');
};

exports.queryParams = queryParams;