"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var react_1 = require("react");

var useAlertBox = function useAlertBox() {
  var _a = react_1.useState(true),
      isShow = _a[0],
      setIsShow = _a[1];

  var _b = react_1.useState(false),
      fadeOut = _b[0],
      setFadeOut = _b[1];

  var handleClickClose = function handleClickClose() {
    setFadeOut(true);
    setTimeout(function () {
      setIsShow(false);
    }, 300);
  };

  return {
    fadeOut: fadeOut,
    isShow: isShow,
    handleClickClose: handleClickClose
  };
};

exports["default"] = useAlertBox;