import React, { ReactNode } from 'react';
import './button.less';
export interface ButtonProps {
    prefixCls?: string;
    name?: string;
    icon?: string;
    iconRight?: boolean;
    iconStyleExtra?: object;
    type?: 'primary' | 'default' | 'dashed' | 'success' | 'warning' | 'danger' | 'text' | undefined;
    size?: 'large' | 'medium' | 'small' | undefined;
    htmlType?: 'button' | 'reset' | 'submit' | undefined;
    disabled?: boolean;
    block?: boolean;
    className?: string;
    children?: ReactNode;
    onClick?(a: React.MouseEvent): void | boolean;
    onMouseDown?(a: React.MouseEvent): void;
    title?: string;
    loading?: boolean;
}
declare const RefButton: any;
export default RefButton;
