import React from 'react';
import { ButtonProps } from './Button';
/**
 * Button Hook
 * @param param0
 */
declare const useButton: ({ prefixCls, name, icon, type, size, disabled, block, loading, className, children, onClick, onMouseDown }: ButtonProps) => {
    clazzName: string;
    animatClazz: string;
    handleClick: (e: React.MouseEvent) => void;
    handleMouseDown: (e: React.MouseEvent) => void;
};
export default useButton;
