import React from 'react';
import './checkBox.less';
export interface CheckBoxProps {
    id?: string;
    name: string;
    onChange?(value: any): void;
    onToggle?(value: any): void;
    onClick?(value: React.MouseEvent): void;
    checked?: boolean;
    defaultChecked?: boolean;
    disabled?: boolean;
    inline?: boolean;
    title?: React.ReactNode;
    labelTitle?: string;
    prefixCls?: string;
    className?: string;
    btnStyle?: boolean;
    checkStyle?: boolean;
    value?: string;
}
/**
 * CheckBox 展示组件
 * @param props
 */
declare const CheckBox: (props: CheckBoxProps) => JSX.Element;
export default CheckBox;
