import React from 'react';
import './checkBox.less';
export interface RadioProps {
    name: string;
    onChange?: (value: any) => void;
    onClick?: (e: React.MouseEvent) => void;
    checked?: boolean;
    disabled?: boolean;
    inline?: boolean;
    title?: React.ReactNode;
    prefixCls?: string;
    className?: string;
    btnStyle?: boolean;
    checkStyle?: boolean;
    value?: string;
    labelTitle?: string;
}
/**
 * Radio 展示组件
 * @param props
 */
declare const Radio: (props: RadioProps) => JSX.Element;
export default Radio;
