"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * Radio Hook
 * @param param0
 */

var useRadio = function useRadio(_a) {
  var _b = _a.onChange,
      onChange = _b === void 0 ? undefined : _b,
      _c = _a.onClick,
      onClick = _c === void 0 ? undefined : _c,
      _d = _a.disabled,
      disabled = _d === void 0 ? false : _d;

  var handleChange = function handleChange(e) {
    if (disabled) {
      return;
    }

    if (onChange) {
      var value = e.currentTarget.value;
      onChange(value);
    }
  };

  var handleClick = function handleClick(e) {
    if (onClick) {
      onClick(e);
    }
  };

  return {
    handleChange: handleChange,
    handleClick: handleClick
  };
};

exports["default"] = useRadio;