"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

var react_1 = __importDefault(require("react"));

var useClock_1 = __importDefault(require("./useClock"));

var classnames_1 = __importDefault(require("classnames"));

var Clock = function Clock(props) {
  var time = useClock_1["default"]().time;
  var _a = props.prefixCls,
      prefixCls = _a === void 0 ? 'ult' : _a,
      _b = props.className,
      className = _b === void 0 ? '' : _b,
      _c = props.format,
      format = _c === void 0 ? 'YYYY-MM-DD HH:mm:ss' : _c;
  var classes = classnames_1["default"](prefixCls + "-clock", className);
  return react_1["default"].createElement("span", {
    className: classes
  }, time ? time.format(format) : null);
};

exports["default"] = Clock;