"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

var react_1 = require("react");

var moment_1 = __importDefault(require("moment"));

require("moment/locale/zh-cn");

var useClock = function useClock() {
  var _a = react_1.useState(null),
      time = _a[0],
      setTime = _a[1];

  react_1.useEffect(function () {
    function renderTime() {
      var now = moment_1["default"]();
      now.locale('zh-cn').utcOffset(8);
      setTime(now);
      tmpTimer = setTimeout(function () {
        renderTime();
      }, 500);
    }

    var tmpTimer;
    renderTime();
    return function () {
      clearTimeout(tmpTimer);
    };
  }, []);
  return {
    time: time
  };
};

exports["default"] = useClock;