import React from 'react';
import { DropdownProps } from './dropdown';
import { DropdownMenuProps } from './dropdownMenu';
import { DropdownMenuItemProps } from './dropdownMenuItem';
export declare const useDropdown: ({ options, selectable }: DropdownProps) => {
    uniqueID: React.MutableRefObject<string>;
    isExpanded: boolean;
    handleToggle: (e: any) => void;
    handleCollapse: (e: any) => void;
    optionsState: import("./dropdown").DropdownOption[];
    handleHover: (e: React.MouseEvent, isExpanded: boolean) => void;
    handleClick: (callback: ((e: React.MouseEvent, name: React.ReactNode) => void) | undefined, name: React.ReactNode, e: React.MouseEvent) => void;
};
export declare const useDropdownMenu: ({ icon, isExpanded, trigger, onHover, onToggle }: DropdownMenuProps) => {
    titleIcon: string;
    handleMouseEnter: (e: React.MouseEvent) => void;
    handleMouseLeave: (e: React.MouseEvent) => void;
    handleTitleClick: (e: React.MouseEvent) => void;
};
export declare const useDropdownMenuItem: ({ disabled, collapse, onClick, href, target, }: DropdownMenuItemProps) => {
    handleClick: (e: React.MouseEvent) => void;
    handleClickSubItem: (disabled: any, callback: any, name: any, href: any, target: any, e: any) => void;
};
