"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _form = _interopRequireDefault(require("./form"));

var _formGroup = _interopRequireDefault(require("./formGroup"));

var _input = _interopRequireDefault(require("./input"));

var _checkbox = _interopRequireDefault(require("./checkbox"));

var _checkboxGroup = _interopRequireDefault(require("./checkboxGroup"));

var _radioGroup = _interopRequireDefault(require("./radioGroup"));

var _textarea = _interopRequireDefault(require("./textarea"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

/*
 * @Author: SiMeiyu 
 * @Date: 2017-07-04 10:01:24 
 */
var _default = {
  Form: _form["default"],
  FormGroup: _formGroup["default"],
  InputForm: _input["default"],
  CheckboxForm: _checkbox["default"],
  CheckboxGroupForm: _checkboxGroup["default"],
  RadioGroupForm: _radioGroup["default"],
  TextareaForm: _textarea["default"]
};
exports["default"] = _default;