"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

var react_1 = __importDefault(require("react"));

var useGrid_1 = require("./useGrid");

require("./index.less");

var Col = function Col(props) {
  var classes = useGrid_1.useCol(props).classes;
  var _a = props.style,
      style = _a === void 0 ? {} : _a,
      children = props.children;
  return react_1["default"].createElement("div", {
    className: classes,
    style: style
  }, children);
};

exports["default"] = Col;