"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

var react_1 = __importDefault(require("react"));

var classnames_1 = __importDefault(require("classnames"));

require("./input.less");

var InputGroup = function InputGroup(props) {
  var _a = props.prefixCls,
      prefixCls = _a === void 0 ? 'ult' : _a,
      _b = props.className,
      className = _b === void 0 ? '' : _b,
      _c = props.style,
      style = _c === void 0 ? {} : _c,
      _d = props.children,
      children = _d === void 0 ? undefined : _d;
  var classes = classnames_1["default"](prefixCls + "-input-group", className);
  return react_1["default"].createElement("div", {
    className: classes,
    style: style
  }, children);
};

exports["default"] = InputGroup;