"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var useInput = function useInput(_a) {
  var onChange = _a.onChange;

  var handleChange = function handleChange(e) {
    if (onChange) {
      onChange(e);
    }
  };

  return {
    handleChange: handleChange
  };
};

exports["default"] = useInput;