import React from 'react';
import { InputNumProps } from './InputNum';
export declare const useInputNum: ({ value, defaultValue, precision, disabled, step, min, max, onError, required, onChange, onKeyDown, parser }: InputNumProps) => {
    inputValue: string;
    isMinDisable: boolean;
    isMaxDisable: boolean;
    handleStepBackClick: (e: React.MouseEvent) => void;
    handleStepForwardClick: (e: React.MouseEvent) => void;
    error: boolean;
    handleChange: (e: any) => void;
    handleBlur: () => void;
    handleFocus: () => void;
    handleKeyDown: (e: React.KeyboardEvent, arg: any) => void;
};
