import React, { CSSProperties } from 'react';
import './inputNumber.less';
export declare type SlotType = {
    position: 'left' | 'right';
    format: () => React.ReactNode;
};
export interface InputNumberProps {
    prefixCls?: string;
    className?: string;
    style?: CSSProperties;
    verticalbuttons?: boolean;
    disabled?: boolean;
    readOnly?: boolean;
    readonly?: boolean;
    defaultValue?: number;
    value?: number;
    validateOnBlur?: boolean;
    min?: number;
    max?: number;
    precision?: number;
    postfix?: string;
    step?: number;
    onChange?: (v: number | string) => void;
    required?: boolean;
    placeholder?: string;
    parser?: (input: string) => string;
    onBlur?: (e: any) => void;
    onKeyDown?: (e: any, arg: any) => void;
    slot: SlotType;
    allowEmpty?: boolean;
    rely?: any;
}
declare const InputNumber: (props: InputNumberProps) => JSX.Element;
export default InputNumber;
