import React, { CSSProperties } from 'react';
import './inputNumbers.less';
export declare type SlotType = {
    position: 'left' | 'right';
    format: () => React.ReactNode;
};
export interface InputNumbersProps {
    prefixCls?: string;
    className?: string;
    style?: CSSProperties;
    verticalbuttons?: boolean;
    defaultValue?: number;
    value?: number | string;
    disabled?: boolean;
    readonly?: boolean;
    slot?: SlotType;
    max?: number;
    min?: number;
    precision?: number;
    decimalSeparator?: string;
    step?: number;
    onChange?: (val: string | number | null) => void;
    placeholder?: string;
}
declare const InputNumbers: (props: InputNumbersProps) => JSX.Element;
export default InputNumbers;
