"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

var react_1 = __importDefault(require("react"));

var classnames_1 = __importDefault(require("classnames"));

var Sider = function Sider(props, ref) {
  var _a;

  var _b = props.prefixCls,
      prefixCls = _b === void 0 ? 'ult' : _b,
      _c = props.collapsed,
      collapsed = _c === void 0 ? false : _c,
      _d = props.className,
      className = _d === void 0 ? '' : _d,
      _e = props.style,
      style = _e === void 0 ? {} : _e,
      children = props.children;
  var classes = classnames_1["default"](prefixCls + "-layout-sider", (_a = {}, _a[prefixCls + "-layout-sider-collapsed"] = collapsed, _a), className);
  return react_1["default"].createElement("div", {
    className: classes,
    style: style,
    ref: ref
  }, children);
};

exports["default"] = react_1["default"].forwardRef(Sider);