"use strict";

var __assign = void 0 && (void 0).__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

var react_1 = __importDefault(require("react"));

var Layout_1 = __importDefault(require("./Layout"));

var Sider_1 = __importDefault(require("./Sider"));

var Layout = function Layout(props) {
  return react_1["default"].createElement(Layout_1["default"], __assign({
    prefixCls: 'ult-layout'
  }, props));
};

function generator(props) {
  return function (BasicLayout) {
    var prefixCls = props.prefixCls;

    var basic = function basic(props) {
      return react_1["default"].createElement(BasicLayout, __assign({
        prefixCls: prefixCls
      }, props));
    };

    return basic;
  };
} // const Layout = generator({ prefixCls: 'ult-layout' })(BasicLayout)


var Header = generator({
  prefixCls: 'ult-layout-header'
})(Layout_1["default"]);
var Footer = generator({
  prefixCls: 'ult-layout-footer'
})(Layout_1["default"]);
var Content = generator({
  prefixCls: 'ult-layout-content'
})(Layout_1["default"]);
Layout.Header = Header;
Layout.Footer = Footer;
Layout.Content = Content;
Layout.Sider = Sider_1["default"];
exports["default"] = Layout;