"use strict";

var __assign = void 0 && (void 0).__assign || function () {
  __assign = Object.assign || function (t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
      s = arguments[i];

      for (var p in s) {
        if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
    }

    return t;
  };

  return __assign.apply(this, arguments);
};

var __rest = void 0 && (void 0).__rest || function (s, e) {
  var t = {};

  for (var p in s) {
    if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0) t[p] = s[p];
  }

  if (s != null && typeof Object.getOwnPropertySymbols === "function") for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
    if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i])) t[p[i]] = s[p[i]];
  }
  return t;
};

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

var react_1 = __importDefault(require("react"));

var classnames_1 = __importDefault(require("classnames"));

var useInput = function useInput(_a) {
  var _b;

  var _c = _a.prefixCls,
      prefixCls = _c === void 0 ? 'ult' : _c,
      _d = _a.className,
      className = _d === void 0 ? '' : _d,
      _e = _a.style,
      style = _e === void 0 ? {} : _e,
      children = _a.children,
      others = __rest(_a, ["prefixCls", "className", "style", "children"]);

  var hasSider;
  react_1["default"].Children.forEach(children, function (child) {
    if (child && child.type && child.type.name === 'Sider') {
      hasSider = true;
    }
  });
  var divCls = classnames_1["default"]("" + prefixCls, (_b = {}, _b[prefixCls + "-has-sider"] = hasSider, _b), className);
  return __assign({
    divCls: divCls
  }, others);
};

exports["default"] = useInput;