"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

var classnames_1 = __importDefault(require("classnames"));

var useLoading = function useLoading(_a) {
  var _b = _a.prefixCls,
      prefixCls = _b === void 0 ? 'ult' : _b,
      _c = _a.size,
      size = _c === void 0 ? 'large' : _c,
      _d = _a.mask,
      mask = _d === void 0 ? false : _d,
      _e = _a.className,
      className = _e === void 0 ? '' : _e;
  var newSize;

  switch (size) {
    case 'small':
      newSize = 30;
      break;

    case 'large':
      newSize = 60;
      break;

    default:
      newSize = size;
  }

  var classes = classnames_1["default"](prefixCls + "-loading", className, mask ? 'mask' : '');
  var newStyle = {
    width: newSize,
    height: newSize
  };
  return {
    prefixCls: prefixCls,
    classes: classes,
    newStyle: newStyle
  };
};

exports["default"] = useLoading;