"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

var react_1 = __importDefault(require("react"));

var useLogo_1 = __importDefault(require("./useLogo"));

var react_router_dom_1 = require("react-router-dom");

require("./logo.less");

var Logo = function Logo(props) {
  var _a = useLogo_1["default"](props),
      classes = _a.classes,
      url = _a.url;

  var _b = props.to,
      to = _b === void 0 ? '/' : _b,
      _c = props.style,
      style = _c === void 0 ? {} : _c;
  return react_1["default"].createElement(react_router_dom_1.Link, {
    className: classes,
    style: style,
    to: to
  }, react_1["default"].createElement("img", {
    alt: "logo",
    src: url
  }));
};

exports["default"] = Logo;