"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _classnames6 = _interopRequireDefault(require("classnames"));

var _reactRouterDom = require("react-router-dom");

require("./menu.less");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Date.prototype.toString.call(Reflect.construct(Date, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

var MenuItem = /*#__PURE__*/function (_React$Component) {
  _inherits(MenuItem, _React$Component);

  var _super = _createSuper(MenuItem);

  function MenuItem() {
    _classCallCheck(this, MenuItem);

    return _super.apply(this, arguments);
  }

  _createClass(MenuItem, [{
    key: "handleToggle",
    value: function handleToggle(e) {
      // e.preventDefault()
      e.nativeEvent.stopImmediatePropagation();
      this.props.onToggle(this.props.enkey);
    }
  }, {
    key: "handleClick",
    value: function handleClick(e) {
      // e.preventDefault()
      e.nativeEvent.stopImmediatePropagation();
      this.props.onSelect(this.props.enkey, this.props.target, this.props.id);
    }
  }, {
    key: "onMouseEnter",
    value: function onMouseEnter(e) {
      this.props.onMouseEnter && this.props.onMouseEnter(e);
    }
  }, {
    key: "onMouseLeave",
    value: function onMouseLeave(e) {
      this.props.onMouseLeave && this.props.onMouseLeave(e);
    }
  }, {
    key: "render",
    value: function render() {
      var _classnames, _classnames5;

      var _this$props = this.props,
          prefixCls = _this$props.prefixCls,
          subMenu = _this$props.subMenu,
          name = _this$props.name,
          enkey = _this$props.enkey,
          icon = _this$props.icon,
          url = _this$props.url,
          tip = _this$props.tip,
          active = _this$props.active,
          open = _this$props.open,
          children = _this$props.children,
          switchIcons = _this$props.switchIcons,
          target = _this$props.target,
          link = _this$props.link,
          style = _this$props.style;
      var isLevel3 = enkey.length === 5;
      var classes = (0, _classnames6["default"])((_classnames = {}, _defineProperty(_classnames, "".concat(prefixCls, "-menu-item"), !subMenu), _defineProperty(_classnames, "".concat(prefixCls, "-menu-submenu"), !!subMenu), _defineProperty(_classnames, "".concat(prefixCls, "-menu-item-active"), active), _defineProperty(_classnames, "".concat(prefixCls, "-menu-submenu-open"), open), _classnames));

      if (!url && !subMenu) {
        return /*#__PURE__*/_react["default"].createElement("li", {
          className: classes
        }, /*#__PURE__*/_react["default"].createElement("a", {
          onClick: this.handleClick.bind(this)
        }, icon ? /*#__PURE__*/_react["default"].createElement("i", {
          className: "iconfont icon-".concat(icon)
        }) : null, /*#__PURE__*/_react["default"].createElement("span", null, name)), tip ? /*#__PURE__*/_react["default"].createElement("span", {
          className: (0, _classnames6["default"])("".concat(prefixCls, "-menu-item-tip"), _defineProperty({}, "".concat(prefixCls, "-menu-item-tip-").concat(tip.type), !!tip.type))
        }, " ", tip.title) : null);
      }

      if (!!url && !subMenu) {
        return /*#__PURE__*/_react["default"].createElement("li", {
          className: classes
        }, DEBUG || link ? /*#__PURE__*/_react["default"].createElement(_reactRouterDom.Link, {
          to: url,
          onClick: this.handleClick.bind(this),
          target: target
        }, icon ? /*#__PURE__*/_react["default"].createElement("i", {
          className: "iconfont icon-".concat(icon)
        }) : null, /*#__PURE__*/_react["default"].createElement("span", null, name)) : /*#__PURE__*/_react["default"].createElement("a", {
          href: url
        }, icon ? /*#__PURE__*/_react["default"].createElement("i", {
          className: "iconfont icon-".concat(icon)
        }) : null, /*#__PURE__*/_react["default"].createElement("span", null, name)), tip ? /*#__PURE__*/_react["default"].createElement("span", {
          className: (0, _classnames6["default"])("".concat(prefixCls, "-menu-item-tip"), _defineProperty({}, "".concat(prefixCls, "-menu-item-tip-").concat(tip.type), !!tip.type))
        }, " ", tip.title, " ") : null);
      }

      return /*#__PURE__*/_react["default"].createElement("li", {
        className: classes,
        style: style,
        onMouseLeave: this.onMouseLeave.bind(this)
      }, /*#__PURE__*/_react["default"].createElement("div", {
        className: (0, _classnames6["default"])("".concat(prefixCls, "-menu-item-title"), _defineProperty({}, "".concat(prefixCls, "-menu-item-active"), active)),
        onClick: this.handleToggle.bind(this),
        onMouseEnter: this.onMouseEnter.bind(this)
      }, icon ? /*#__PURE__*/_react["default"].createElement("i", {
        className: "iconfont icon-".concat(icon)
      }) : null, /*#__PURE__*/_react["default"].createElement("span", null, name), /*#__PURE__*/_react["default"].createElement("i", {
        className: (0, _classnames6["default"])("toggle iconfont", (_classnames5 = {}, _defineProperty(_classnames5, "icon-".concat(switchIcons[0].close), !open && !isLevel3), _defineProperty(_classnames5, "icon-".concat(switchIcons[0].open), open && !isLevel3), _defineProperty(_classnames5, "icon-".concat(switchIcons[1].close), !open && isLevel3), _defineProperty(_classnames5, "icon-".concat(switchIcons[1].open), open && isLevel3), _classnames5))
      })), children);
    }
  }]);

  return MenuItem;
}(_react["default"].Component);

MenuItem.propTypes = {
  prefixCls: _propTypes["default"].string,
  style: _propTypes["default"].object,
  id: _propTypes["default"].string.isRequired,
  name: _propTypes["default"].string.isRequired,
  enkey: _propTypes["default"].string,
  icon: _propTypes["default"].string,
  url: _propTypes["default"].string,
  active: _propTypes["default"].bool,
  open: _propTypes["default"].bool,
  switchIcons: _propTypes["default"].array,
  subMenu: _propTypes["default"].array,
  tip: _propTypes["default"].object,
  onToggle: _propTypes["default"].func,
  onSelect: _propTypes["default"].func,
  onMouseEnter: _propTypes["default"].func,
  onMouseLeave: _propTypes["default"].func,
  children: _propTypes["default"].any,
  target: _propTypes["default"].string,
  link: _propTypes["default"].bool // �Ƿ�ʹ��Link

};
MenuItem.defaultProps = {
  prefixCls: 'ult',
  style: {},
  enkey: '',
  icon: null,
  url: null,
  active: false,
  open: false,
  switchIcons: null,
  subMenu: null,
  tip: null,
  onToggle: undefined,
  onSelect: undefined,
  children: undefined,
  onMouseEnter: function onMouseEnter() {},
  onMouseLeave: function onMouseLeave() {},
  target: undefined,
  link: true
};
var _default = MenuItem;
exports["default"] = _default;