"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

var react_1 = __importDefault(require("react"));

var Icon_1 = __importDefault(require("../Icon"));

var useNoData_1 = __importDefault(require("./useNoData"));

require("./index.less");

var NoData = function NoData(props) {
  var _a = useNoData_1["default"](props),
      newLanguageData = _a.newLanguageData,
      classes = _a.classes;

  var _b = props.prefixCls,
      prefixCls = _b === void 0 ? 'ult' : _b,
      _c = props.style,
      style = _c === void 0 ? {} : _c;
  return react_1["default"].createElement("div", {
    className: classes,
    style: style
  }, react_1["default"].createElement(Icon_1["default"], {
    type: "nodata"
  }), react_1["default"].createElement("div", {
    className: prefixCls + "-nodata-text"
  }, react_1["default"].createElement("div", {
    className: prefixCls + "-nodata-text-title"
  }, newLanguageData)));
};

exports["default"] = NoData;