import { ReactElement, ReactNode } from 'react';
import './notification.less';
interface NoticeProps {
    prefixCls?: string;
    ClassName?: string;
    iconNode?: string;
    duration?: number;
    closable?: boolean;
    title?: string | ReactElement | ReactNode;
    content?: string | ReactElement | ReactNode;
    desc?: string | ReactElement | ReactNode;
    onClose?: () => void;
}
declare const Notice: (props: NoticeProps) => JSX.Element;
export default Notice;
