"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

var react_1 = __importDefault(require("react"));

var Select_1 = __importDefault(require("../Select"));

var usePagination_1 = require("./usePagination");

var Option = Select_1["default"].Option;

function Jumper(props) {
  var _a = props.pageSize,
      pageSize = _a === void 0 ? 10 : _a,
      _b = props.options,
      options = _b === void 0 ? [10, 20, 30, 50] : _b,
      _c = props.changeAble,
      changeAble = _c === void 0 ? true : _c,
      _d = props.getPopupContainer,
      getPopupContainer = _d === void 0 ? function () {
    return document.body;
  } : _d;

  var _e = usePagination_1.useJumper(props),
      html1 = _e.html1,
      html20 = _e.html20,
      html21 = _e.html21,
      handleChange = _e.handleChange;

  return react_1["default"].createElement("div", {
    className: "pagination-jumper-wrapper"
  }, react_1["default"].createElement("span", {
    className: "m-r-lg"
  }, react_1["default"].createElement("span", {
    dangerouslySetInnerHTML: {
      __html: html1
    }
  }), changeAble ? react_1["default"].createElement("span", null, react_1["default"].createElement("span", {
    dangerouslySetInnerHTML: {
      __html: html20
    }
  }), react_1["default"].createElement(Select_1["default"], {
    value: pageSize.toString(),
    className: "pagination-select",
    showSearch: false,
    showArrow: false,
    onChange: handleChange,
    getPopupContainer: getPopupContainer
  }, options.map(function (item, index) {
    return react_1["default"].createElement(Option, {
      key: index,
      value: item.toString(),
      text: item
    }, item);
  })), react_1["default"].createElement("span", {
    dangerouslySetInnerHTML: {
      __html: html21
    }
  })) : null));
}

exports["default"] = Jumper;