"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});
/**
 * Panel右侧元素
 *
 * @author: Glen.Zhao
 * @created: 2017/11/9
 */

var react_1 = __importDefault(require("react"));

var classnames_1 = __importDefault(require("classnames"));

var PanelRight = function PanelRight(props) {
  var _a = props.prefixCls,
      prefixCls = _a === void 0 ? 'ult' : _a,
      _b = props.className,
      className = _b === void 0 ? '' : _b,
      _c = props.style,
      style = _c === void 0 ? {} : _c,
      children = props.children;
  var classes = classnames_1["default"](prefixCls + "-panel-right", className);
  return react_1["default"].createElement("div", {
    className: classes,
    style: style
  }, children);
};

exports["default"] = PanelRight;