/// <reference types="react" />
import './progress.less';
export interface ProgressProps {
    type?: 'primary' | 'info' | 'warning' | 'success' | 'danger' | 'recycle';
    size?: 'small' | 'medium' | 'large';
    striped?: boolean;
    active?: boolean;
    round?: boolean;
    dynamic?: boolean;
    percent?: number;
    warningValue?: number;
    dangerValue?: number;
    className?: string;
    prefixCls?: string;
}
declare const Progress: {
    (props: ProgressProps): JSX.Element;
    ProgressGroup: (props: import("./ProgressGroup").ProgressGroupProps) => JSX.Element;
    ProgressBar: (props: import("./ProgressBar").ProgressBarProps) => JSX.Element;
};
export default Progress;
