"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});
/*
 * @Author: SiMeiyu
 * @Date: 2017-07-04 10:05:59
 */

var react_1 = __importDefault(require("react"));

var classnames_1 = __importDefault(require("classnames"));

var ProgressGroup_1 = __importDefault(require("./ProgressGroup"));

var ProgressBar_1 = __importDefault(require("./ProgressBar"));

require("./progress.less");

var Progress = function Progress(props) {
  var _a;

  var _b = props.className,
      className = _b === void 0 ? '' : _b,
      _c = props.prefixCls,
      prefixCls = _c === void 0 ? 'ult' : _c,
      _d = props.striped,
      striped = _d === void 0 ? false : _d,
      size = props.size,
      _e = props.active,
      active = _e === void 0 ? false : _e,
      _f = props.round,
      round = _f === void 0 ? false : _f,
      _g = props.type,
      type = _g === void 0 ? 'primary' : _g,
      _h = props.percent,
      percent = _h === void 0 ? 30 : _h,
      _j = props.dynamic,
      dynamic = _j === void 0 ? false : _j,
      _k = props.dangerValue,
      dangerValue = _k === void 0 ? 95 : _k,
      _l = props.warningValue,
      warningValue = _l === void 0 ? 70 : _l;
  var clazzName = classnames_1["default"]((_a = {}, _a[prefixCls + "-progress"] = true, _a[prefixCls + "-progress-striped"] = !!striped, _a[prefixCls + "-progress-round"] = !!round, _a['active'] = !!active, _a[prefixCls + "-progress-" + size] = !!size, _a["" + className] = !!className, _a));
  return react_1["default"].createElement("div", {
    className: clazzName
  }, react_1["default"].createElement(ProgressBar_1["default"], {
    type: type,
    percent: percent,
    dynamic: dynamic,
    warningValue: warningValue,
    dangerValue: dangerValue
  }));
};

Progress.ProgressGroup = ProgressGroup_1["default"];
Progress.ProgressBar = ProgressBar_1["default"];
exports["default"] = Progress;