"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});
/*
 * @Author: SiMeiyu
 * @Date: 2017-07-04 10:06:12
 */

var react_1 = __importDefault(require("react"));

var classnames_1 = __importDefault(require("classnames"));

require("./progress.less");

var ProgressGroup = function ProgressGroup(props) {
  var _a;

  var _b = props.className,
      className = _b === void 0 ? '' : _b,
      _c = props.prefixCls,
      prefixCls = _c === void 0 ? 'ult' : _c,
      _d = props.striped,
      striped = _d === void 0 ? false : _d,
      size = props.size,
      _e = props.active,
      active = _e === void 0 ? false : _e,
      _f = props.round,
      round = _f === void 0 ? false : _f,
      children = props.children;
  var clazzName = classnames_1["default"]((_a = {}, _a[prefixCls + "-progress"] = true, _a[prefixCls + "-progress-striped"] = !!striped, _a[prefixCls + "-progress-round"] = !!round, _a['active'] = !!active, _a[prefixCls + "-progress-" + size] = !!size, _a["" + className] = !!className, _a));
  return react_1["default"].createElement("div", {
    className: clazzName
  }, children);
};

exports["default"] = ProgressGroup;