import React from 'react';
import './search.less';
export interface SearchProps {
    langCode?: string;
    prefixCls?: string;
    className?: string;
    placeholder?: string;
    defaultValue?: string;
    option?: string[];
    onSearch?: (value: any) => void;
    onEmptySearch?: (value: any) => void;
    onChange?: (value: any, key: any) => void;
    disabled?: boolean;
    btnName?: string;
    selectWidth?: number;
    buttonType?: 'primary' | 'default' | 'dashed' | 'success' | 'warning' | 'danger' | 'text' | undefined;
    isAdvance?: boolean;
    collapsed?: boolean;
    onCollapsed?: (e: React.MouseEvent) => void;
}
/**
 * Search 展示组件
 * @param props
 */
declare const Search: (props: SearchProps) => JSX.Element;
export default Search;
