import React from 'react';
import './index.less';
export interface StaticProps {
    prefixCls?: string;
    className?: string;
    style?: object;
    staticType?: 'default' | 'primary' | 'success' | 'danger' | 'warning' | undefined;
    type?: 'default' | 'primary' | 'success' | 'danger' | 'warning' | undefined;
    icon?: string;
    value?: React.ReactNode;
}
/**
 * Static 展示组件
 * @param param0
 */
declare const Static: ({ prefixCls, className, style, staticType, type, value, icon }: StaticProps) => JSX.Element;
export default Static;
