"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

var react_1 = __importDefault(require("react"));

var classnames_1 = __importDefault(require("classnames"));

var Icon_1 = __importDefault(require("../Icon"));

require("./index.less");
/**
 * Static 展示组件
 * @param param0
 */


var Static = function Static(_a) {
  var _b = _a.prefixCls,
      prefixCls = _b === void 0 ? 'ult' : _b,
      _c = _a.className,
      className = _c === void 0 ? '' : _c,
      _d = _a.style,
      style = _d === void 0 ? {} : _d,
      _e = _a.staticType,
      staticType = _e === void 0 ? 'primary' : _e,
      _f = _a.type,
      type = _f === void 0 ? undefined : _f,
      _g = _a.value,
      value = _g === void 0 ? '' : _g,
      icon = _a.icon;

  var _type = type || staticType;

  return react_1["default"].createElement("div", {
    className: classnames_1["default"](prefixCls + "-static", className),
    style: style
  }, icon ? react_1["default"].createElement(Icon_1["default"], {
    type: icon,
    className: "static-icon static-icon-" + _type
  }) : react_1["default"].createElement("span", {
    className: prefixCls + "-static-badge " + prefixCls + "-static-badge-" + _type
  }), value ? react_1["default"].createElement("span", {
    className: "m-l-sm"
  }, value) : null);
};

exports["default"] = Static;