import React from 'react';
import './switch.less';
export interface SwitchProps {
    prefixCls?: string;
    className?: string;
    style?: object;
    disabled?: boolean;
    size?: 'large' | 'small' | undefined;
    checkedTitle?: React.ReactNode;
    unCheckedTitle?: React.ReactNode;
    checked?: boolean;
    defaultChecked?: boolean;
    square?: boolean;
    onChange?: (value: boolean) => void;
    onClick?: (value: boolean) => void;
}
declare const Switch: (props: SwitchProps) => JSX.Element;
export default Switch;
