import React from 'react';
import { TabProps } from './Tab';
export declare const MAX_SHOWN_TAB_NUM = 6;
export declare const DEFALUT_ITEM_WIDTH = 120;
export declare const SWITCH_BUTTON_WIDTH = 25;
/**
 * Tab Hook
 * @param param0
 */
declare const useTab: ({ active, defaultKey, children, itemWidth, direction, handleSwitchTab, onBeforeSwitchTab }: TabProps) => {
    tabPanelRef: React.RefObject<HTMLDivElement>;
    currentPage: number;
    totalPages: number;
    activeKey: string;
    btnLeft: boolean;
    pageSize: number;
    childrenNum: number;
    hasMultipleTabs: boolean;
    tabBarStyle: {};
    reset: () => void;
    handleRight: () => void;
    handleLeft: () => void;
    getActivePanel: () => any;
    switchPanel: (key: string) => void;
    goToPanel: (key: string) => void;
};
export default useTab;
