/**
 * 排序功能表格
 * 有两种情况：
 * 1、对现有数据直接排序，
 * 2、通过传参数调接口方式获取排序好的数据。
 *
 * @author: GlenZhao
 * @created: 2017/11/24
 */
import React from 'react';
export interface SortTableProps {
    prefixCls?: string;
    emptyText?: React.ReactNode;
    isLoading?: boolean;
    className?: string;
    columns: any[];
    data: any[];
    checkAllAble?: boolean;
    defaultSortKey?: string;
    defaultSortState?: string;
    sortKey?: string;
    sortState?: string;
    handleSortChange?: (state: string, key: string) => void;
}
declare const _default: React.ForwardRefExoticComponent<React.RefAttributes<unknown>>;
export default _default;
