"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});

var react_1 = __importDefault(require("react"));

var Icon_1 = __importDefault(require("../Icon"));

var useTagItem_1 = __importDefault(require("./useTagItem"));

require("./tags.less");
/**
 * TagItem 组件展示
 * @param props
 */


var TagItem = function TagItem(props) {
  var _a = useTagItem_1["default"](props),
      classes = _a.classes,
      handleClick = _a.handleClick;

  var _b = props.style,
      style = _b === void 0 ? {} : _b,
      name = props.name,
      _c = props.icon,
      icon = _c === void 0 ? '' : _c;
  return react_1["default"].createElement("span", {
    className: classes,
    style: style
  }, react_1["default"].createElement("span", {
    className: "tag-item-title"
  }, name), icon ? react_1["default"].createElement(Icon_1["default"], {
    type: icon,
    onClick: handleClick
  }) : null);
};

exports["default"] = TagItem;