import { ReactNode } from 'react';
import './timeline.less';
export interface TimelineProps {
    prefixCls?: string;
    className?: string;
    style?: object;
    placement?: 'left' | 'center' | 'right';
    children: string | ReactNode;
}
declare const Timeline: {
    (props: TimelineProps): JSX.Element;
    TimelinePanel: (props: import("./TimelinePanel").TimelinePanelProps) => JSX.Element;
};
export default Timeline;
