"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});
/*
 * @Author: SiMeiyu
 * @Date: 2017-07-27 13:07:04
 */

var react_1 = __importDefault(require("react"));

var classnames_1 = __importDefault(require("classnames"));

var TimelinePanel_1 = __importDefault(require("./TimelinePanel"));

require("./timeline.less");

var Timeline = function Timeline(props) {
  var _a = props.prefixCls,
      prefixCls = _a === void 0 ? 'ult' : _a,
      _b = props.className,
      className = _b === void 0 ? '' : _b,
      _c = props.style,
      style = _c === void 0 ? {} : _c,
      _d = props.placement,
      placement = _d === void 0 ? 'center' : _d,
      children = props.children;
  var classes = classnames_1["default"](prefixCls + "-timeline", prefixCls + "-timeline-" + placement, className);
  return react_1["default"].createElement("div", {
    className: classes,
    style: style
  }, react_1["default"].createElement("div", {
    className: prefixCls + "-timeline-line"
  }), children);
};

Timeline.TimelinePanel = TimelinePanel_1["default"];
exports["default"] = Timeline;