"use strict";

var __importDefault = void 0 && (void 0).__importDefault || function (mod) {
  return mod && mod.__esModule ? mod : {
    "default": mod
  };
};

Object.defineProperty(exports, "__esModule", {
  value: true
});
/*
 * @Author: SiMeiyu
 * @Date: 2017-07-27 13:07:00
 */

var react_1 = __importDefault(require("react"));

var classnames_1 = __importDefault(require("classnames"));

require("./timeline.less");

var TimelinePanel = function TimelinePanel(props) {
  var _a = props.prefixCls,
      prefixCls = _a === void 0 ? 'ult' : _a,
      _b = props.className,
      className = _b === void 0 ? '' : _b,
      _c = props.style,
      style = _c === void 0 ? {} : _c,
      _d = props.icon,
      icon = _d === void 0 ? 'point' : _d,
      _e = props.time,
      time = _e === void 0 ? '' : _e,
      _f = props.date,
      date = _f === void 0 ? '' : _f,
      _g = props.iconStyle,
      iconStyle = _g === void 0 ? {} : _g,
      children = props.children;
  var classes = classnames_1["default"](prefixCls + "-timeline-panel", className);
  return react_1["default"].createElement("div", {
    className: classes,
    style: style
  }, react_1["default"].createElement("i", {
    className: prefixCls + "-timeline-panel-icon iconfont icon-" + icon,
    style: iconStyle
  }), react_1["default"].createElement("div", {
    className: prefixCls + "-timeline-panel-time"
  }, time, react_1["default"].createElement("span", {
    className: time ? '' : 'notime'
  }, date)), children);
};

exports["default"] = TimelinePanel;