import React from 'react';
import './tooltip.less';
export interface ProperProps {
    className?: string;
    placement?: 'top' | 'left' | 'right' | 'bottom';
    title?: React.ReactNode;
    content: React.ReactNode;
    children?: React.ReactNode | null;
    prefixCls?: string;
    trigger?: 'click' | 'hover';
    style?: any;
}
export default function Popover(props: ProperProps): JSX.Element;
