import React, { CSSProperties } from 'react';
import { TooltipPlacement } from './useTooltip';
import './tooltipAlign.less';
export interface TooltipAlignProps {
    className?: string;
    style?: CSSProperties;
    placement?: TooltipPlacement;
    tips: React.ReactNode;
    prefixCls?: string;
    children?: React.ReactNode;
    scrollContainer?: string | null;
    visible?: boolean | null;
    trigger?: 'click' | 'hover';
}
export default function TooltipAlign(props: TooltipAlignProps): JSX.Element;
