import { RefObject } from 'react';
import { TooltipAlignProps } from './TooltipAlign';
export declare type TooltipPlacement = 'topLeft' | 'top' | 'topRight' | 'leftTop' | 'left' | 'leftBottom' | 'rightTop' | 'right' | 'rightBottom' | 'bottomLeft' | 'bottom' | 'bottomRight';
export declare const useTooltip: ({ trigger }: {
    trigger?: string | undefined;
}) => {
    show: boolean;
    handleClickToggle: (e: any) => void;
    handleMouseEnter: () => void;
    handleMouseLeave: () => void;
};
export declare const useTooltipAlign: ({ trigger, prefixCls, placement, className, scrollContainer, visible }: TooltipAlignProps, tipContent: any, tipEmpty: any) => {
    rooRef: RefObject<HTMLDivElement>;
    handleClickToggle: (e: any) => void;
    handleMouseEnter: () => void;
    handleMouseLeave: () => void;
};
