/// <reference types="react" />
export interface TreeProps {
    prefixCls?: string;
    className?: string;
    showLine?: boolean;
    showIcon?: boolean;
    multiple?: boolean;
    isDelete?: boolean;
    switchIcon?: string[];
    data: any[];
    selected?: string | number;
    onChecked?: (value: any, param: any) => void;
    onSelected?: (value: any) => void;
    onDelete?: (value: any, param: any) => void;
    checkedIds?: string[];
}
declare const Tree: (props: TreeProps) => JSX.Element;
export default Tree;
