/// <reference types="react" />
import './tree.less';
export interface TreeNodeProps {
    prefixCls?: string;
    disabled?: boolean;
    open?: boolean;
    icon?: string;
    iconOpen?: string;
    iconClose?: string;
    eventKey?: string;
    switchIcon?: string[];
    showLine?: boolean;
    isParent?: boolean;
    multiple?: boolean;
    showIcon?: boolean;
    ref?: string;
    title?: string;
    url?: string;
    key?: string;
    selected?: boolean;
    depth?: number;
    children?: any;
    selectedKey?: string;
    checkedKeys?: string[];
    onSelected?: (value: any) => void;
    onChecked?: (value: any) => void;
    onSwitch?: (params1: any, params2: any) => void;
    onDelete?: (value: any) => void;
    isDelete?: boolean;
    matchSearch?: boolean;
}
declare const TreeNode: (props: TreeNodeProps) => JSX.Element;
export default TreeNode;
